# See: [Runner Docs: Advanced configuration](https://docs.gitlab.com/runner/configuration/advanced-configuration.html)
concurrent = 1      # limits how many jobs globally can be run concurrently
check_interval = 0  # defines the interval length, in seconds, between new jobs check. The default value is 3; if set to 0 or lower, the default value will be used

[session_server]
  session_timeout = 1800

[[runners]]
  name = "Custom Runner for Enroot"
  url = "https://gitlab.com/"
  token = "<Token>"
  executor = "custom"
  # For custom executor builds_dir and cache_dir inside of the [[runners]] are required fields.
  builds_dir = "/home/hk-project-scs/bq0742/gitlab-runner/builds/"
  cache_dir = "/home/hk-project-scs/bq0742/gitlab-runner/cache/"
  [runners.custom_build_dir]
    # Allow user to define a custom build directory for a job
    enabled = true

  # For field definitions and which ones are required, see [runners.custom] section configuration.
  # See: https://docs.gitlab.com/runner/configuration/advanced-configuration.html#the-runnerscustom-section
  # See: https://docs.gitlab.com/runner/executors/custom.html#config
  [runners.custom]
    # The stages run in the following sequence:
    #
    # config_exec
    # prepare_exec
    # run_exec
    # cleanup_exec

    config_exec = "/usr/share/gitlab-runner/custom-executor-enroot/config.sh"
    config_exec_timeout = 200

    prepare_exec = "/usr/share/gitlab-runner/custom-executor-enroot/prepare.sh"
    prepare_exec_timeout = 200

    run_exec = "/usr/share/gitlab-runner/custom-executor-enroot/run.sh"

    cleanup_exec = "/usr/share/gitlab-runner/custom-executor-enroot/cleanup.sh"
    cleanup_exec_timeout = 200

    graceful_kill_timeout = 200
    force_kill_timeout = 200
